Returns the allowed origins for the specified environment.
GET
/
environments
/
{environmentId}
/
origins
Get allowed origins for the environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/origins \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/origins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"origins": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"origin": "http://*.example.com",
"createdAt": "2023-11-07T05:31:56Z",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f"
}
]
}"<string>"{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of allowed origins for this project environment
List of allowed origin objects for this environment
Show child attributes
Show child attributes
Last modified on July 30, 2026
Was this page helpful?
Previous
Add an allowed origin for the environmentAdds an allowed origin for the specified environment.
Next
⌘I
Get allowed origins for the environment
